Component({
  options: { multipleSlots: true },
  /**
   * 组件的属性列表
   */
  properties: {
    label: null,
    placeholder: null,
    value: null,
  },

  /**
   * 组件的初始数据
   */
  data: {},

  /**
   * 组件的方法列表
   */
  methods: {
    onChange(e: any) {
      this.triggerEvent('change', { value: e.detail.value });
    },
    onClear() {
      this.triggerEvent('change', { value: '' });
    },
  },
});
